Commit 22850c19 authored by Petri Latvala's avatar Petri Latvala

Update NEWS, bump version to 1.24.

Signed-off-by: Petri Latvala's avatarPetri Latvala <petri.latvala@intel.com>
Acked-by: Arkadiusz Hiler's avatarArkadiusz Hiler <arkadiusz.hiler@intel.com>
parent acd15523
Pipeline #43888 passed with stages
in 11 minutes and 33 seconds
Unreleased
----------
Release 1.24 (2019-06-20)
-------------------------
General changes:
- Bumped required meson version to 0.47. (Arkadiusz Hiler)
- All the meson build options that used auto, true and false are now first
class 'feature' options taking auto, enabled and disabled. (Arkadiusz Hiler)
- Piglit as the primary test executor replaced by mostly drop-in
compatible igt_runner. (Petri Latvala)
- Stack traces now contain source file names and line numbers, using
libdw. (Maarten Lankhorst)
- Pixman dependency is now mandatory. (Maxime Ripard)
- The project has moved to gitlab, and uses gitlab's CI to build test
and sanity test each commit on various distributions and
architectures. (Arkadiusz Hiler et al)
- Shader debugger removed due to lack of use and accumulation of
bitrot. (Arkadiusz Hiler)
- Added support for testing DP/HDMI audio with the Chamelium device,
dropping the audio tests that required exotic custom hardware to
execute. (Simon Ser)
- Autotools support dropped for various parts of IGT (assembler,
documentation, etc). (Daniel Vetter)
- intel-gpu-top can now output data to stdout or a log file for
noninteractive use. (Tvrtko Ursulin)
And many other bug fixes, improvements, cleanups and new tests.
- Bumped required meson version to 0.47. (Arkadiusz Hiler)
- All the meson build options that used auto, true and false are now first
class 'feature' options taking auto, enabled and disabled (Arkadiusz Hiler)
Release 1.23 (2018-07-18)
-------------------------
......
......@@ -22,7 +22,7 @@
AC_PREREQ([2.60])
AC_INIT([igt-gpu-tools],
[1.23],
[1.24],
[https://bugs.freedesktop.org/enter_bug.cgi?product=DRI&component=IGT],
[igt-gpu-tools])
......
project('igt-gpu-tools', 'c',
version : '1.23',
version : '1.24',
default_options: [
'warning_level=2',
'c_std=gnu11',
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment